optoKummenberg

Loading...
Searching...
No Matches
optoKummenberg.registers.InputStage.StaticInput Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.StaticInput:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| SetCurrent (self, value)
| Sets current on this channel [A].
| GetCurrent (self)
| Gets current on this channel [A].
| SetValue (self, value)
| Sets unitless value on this channel.
| GetValue (self)
| Gets unitless value on this channel.
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| __init__ (self, int or None channel=0, board=None)
| SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| __init__ (self, int or None channel=None, board=None)
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
int | sys_id = 0x50 | channel
dict | current
dict | value
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name = self.__class__.__name__
| register_list = self._get_register_list()

## Protected Attributes
bool | _readonly = False
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel = channel
| _board = board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Input Channel Systems - USB/UART
    System IDs: 0x50 through 0x57

    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
    | Register Name  | Id   | Type        | Unit     | Range       | Default | Comment                               |
    +================+======+=============+==========+=============+=========+=======================================+
    | current        | 0x00 | float 32-bit| A        | -0.7 to 0.7 | 0.0     |                                       |
    +----------------+------+-------------+----------+-------------+---------+---------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.InputStage.StaticInput.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

## Member Function Documentation

## ◆ GetCurrent()

optoKummenberg.registers.InputStage.StaticInput.GetCurrent | ( |  | self | ) |

Gets current on this channel [A].

## ◆ GetValue()

optoKummenberg.registers.InputStage.StaticInput.GetValue | ( |  | self | ) |

Gets unitless value on this channel.

## ◆ help()

optoKummenberg.registers.InputStage.StaticInput.help | ( |  | ) |
| static

## ◆ SetCurrent()

optoKummenberg.registers.InputStage.StaticInput.SetCurrent | ( |  | self,
|  |  | value )

Sets current on this channel [A].

## ◆ SetValue()

optoKummenberg.registers.InputStage.StaticInput.SetValue | ( |  | self,
|  |  | value )

Sets unitless value on this channel.

## Member Data Documentation

## ◆ _readonly

bool optoKummenberg.registers.InputStage.StaticInput._readonly = False
| protected

## ◆ current

dict optoKummenberg.registers.InputStage.StaticInput.current

Initial value:
= {'id': self.sys_id << 8 | 0x00,
'type': float,
'unit': 'A',
'range': [-2, 2],
'default': 0.0,
'value': 0.0}

## ◆ sys_id

int optoKummenberg.registers.InputStage.StaticInput.sys_id = 0x50 | channel

## ◆ value

dict optoKummenberg.registers.InputStage.StaticInput.value

Initial value:
= {'id': self.sys_id << 8 | 0x05,
'type': float,
'unit': 'Unitless',
'range': [-1000, 1000],
'default': 0.0,
'value': 0.0}

The documentation for this class was generated from the following file:

- C:/git/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/InputStage.py